/*
* Code by Bodysoulspirit. Public Domain.
*/

#include "node.h"

VuoModuleMetadata({
	"title" : "Get Image Height",
	"description" : "Retrieves the height of an image in Vuo coordinates (not pixels) corresponding to a width of 2 (height is 2 if the image is a square, 1 if it's half the width etc).",
	"keywords" : [],
	"version" : "1.0.0",
	"node": {
		"exampleCompositions" : []
	}
});

void nodeEvent
(
	VuoInputData(VuoImage) image,
	VuoOutputData(VuoReal) height
)
{
	if (!image)
	return;

	VuoRectangle bounds = VuoImage_getRectangle(image);
	*height = bounds.size.y;
}
